2025.38 Public API / SDK Changes
1 min read
Public API
New Endpoints
tech PATCH Update a Folder - API to update a folder.
Currently, the following updates are supported:
Name update
Move the folder to a different folder by specifying the
parentId
Body
nameoptional, allows updating the name of the folderparentIdoptional, represents the id of the new parent folder, e.g.:scope_dhjfieurfloakmdle
Example
curl --location --request PATCH 'https://api.uat1.unique.app/public/chat/folder/scope_qbkb7pjbo9utjowjyv3qej2z' \
--header 'x-user-id: <user-id>' \
--header 'x-company-id: <company-id>' \
--header 'Authorization: Bearer <api-key>' \
--header 'x-app-id: <app-id>' \
--header 'x-api-version: 2023-12-06' \
--header 'Content-Type: application/json' \
--data '{
"name": "Finance",
"parentId": "scope_kgx251ererfrrm8u56ct91"
}'
SDK
tech Update a Folder (Compatible with release >.38) - Update a folder specified by its scopeId or path. The following properties can be updated:
parent folder - move the folder to a new parent folder specified by its
scopeIdor path. If the new parent folder is the root folder, theparentIdshould be explicitly specified by settingnewParentIdtoNone.name - update the name by setting the
namefield to the new name.
Example
Move the folder specified by its scopeId to a new parent folder specified by its path.
unique_sdk.Folder.update(
user_id=user_id,
company_id=company_id,
scopeId="scope_dwekjnf3330woioppm",
parentFolderPath="/Company/folder1/folder2"
)Move the parent of a folder specified by its path to a new parent folder specified by its scopeId and update the name to "January".
unique_sdk.Folder.update(
user_id=user_id,
company_id=company_id,
folderPath="/Company/folder1",
parentId="scope_dweekjrfhirtuhgroppm",
name="January"
)Move the parent of a folder specified by its path to the root folder and update the name to "January".
unique_sdk.Folder.update(
user_id=user_id,
company_id=company_id,
folderPath="/Company/folder1",
parentId=None,
name="January"
}Author |
|
|---|